Subject: Re: net: fec: Enable imx6 enet checksum acceleration

From: Jim Baxter <[email-masked]>
Date: Mon, 10 Jun 2013 11:14:42 +0100

Hi Chris,

It is now only enabled for i.MX6q; Shawn Guo fixed it with the commit:
4849625569874d474ce351efd84b1f487ba08c94 net: fec: enable hardware
checksum only on imx6q-fec

Thank you,
Jim

On 09/06/13 03:30, Chris Healy wrote:
> Jim,
> 
> Can you tell me if the change you made to enable checksum acceleration
> works for other i.MX platforms?
> 
> I don't see anything in the code that differentiates between the various
> i.MX platforms with the Freescale FEC.
> 
> It seems to me that the i.MX28 and i.MX51 would also support this.
> 
> Was this patch tested with the other i.MX platforms that use this driver?
> 
> Chris